Bug 6785 - [UPDATE REQUEST] neon without SSL2 support
: [UPDATE REQUEST] neon without SSL2 support
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 14:06 MSK by Andrey Bondrov
Modified: 2016-03-14 15:16 MSK (History)
2 users (show)

See Also:
RPM Package: openssl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-03-02 14:06:59 MSK
New security fix version of OpenSSL was released.
Comment 1 Andrey Bondrov 2016-03-02 14:21:27 MSK
Advisory: "Update OpenSSL to new version 1.0.1s. This update fixes CVE-2016-0800, CVE-2016-0705, CVE-2016-0798, CVE-2016-0797, CVE-2016-0799 and CVE-2016-0702."

https://abf.rosalinux.ru/build_lists/2626261
https://abf.rosalinux.ru/build_lists/2626262
Comment 2 Denis Silakov 2016-03-03 12:46:33 MSK
*** Bug 6791 has been marked as a duplicate of this bug. ***
Comment 3 Vladimir Potapov 2016-03-03 13:07:06 MSK
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2016-03-03 13:59:17 MSK
The update break rpm

urpmi --auto-update
Can't load '/usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/URPM/URPM.so' for module URPM: /usr/lib64/libneon.so.27: undefined symbol: SSLv2_server_method at /usr/lib/perl5/5.18.2/x86_64-linux-thread-multi/DynaLoader.pm line 190.
 at /usr/lib/perl5/vendor_perl/5.18.2/urpm/msg.pm line 8.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.18.2/urpm/msg.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/urpm/msg.pm line 8.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.18.2/urpm.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/urpm.pm line 8.
Compilation failed in require at /usr/sbin/urpmi line 26.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 26.
**************************
QA Denied
Comment 5 Andrey Bondrov 2016-03-04 13:02:15 MSK
First we need to update neon and build it without SSL2 support:

neon:
https://abf.rosalinux.ru/build_lists/2626550
https://abf.rosalinux.ru/build_lists/2626551

Please enable neon and openssl containers and check if update breaks RPM.
Comment 6 Vladimir Potapov 2016-03-10 09:10:42 MSK
The update is sent to expanded testing
***************************************
Comment 7 Vladimir Potapov 2016-03-14 09:45:09 MSK
neon-0.30.1-1
https://abf.rosalinux.ru/build_lists/2626550
https://abf.rosalinux.ru/build_lists/2626551
**************************** Advisory ***************************
update neon and build it without SSL2 support
*****************************************************************
QA Verified